Bug 11943 - Quirksmode: Break Tag Extra Space Bug
: Quirksmode: Break Tag Extra Space Bug
Status: RESOLVED FIXED
: WebKit
Layout and Rendering
: 420+
: Macintosh Mac OS X 10.4
: P2 Normal
Assigned To:
: http://www.quirksmode.org/bugreports/...
: HasReduction
:
: 9610
  Show dependency treegraph
 
Reported: 2006-12-23 04:40 PST by
Modified: 2013-09-18 10:57 PST (History)


Attachments
Test page (1.92 KB, text/html)
2006-12-23 04:42 PST, David Kilzer (:ddkilzer)
no flags Details
Patch (5.70 KB, patch)
2013-07-25 11:55 PST, Robert Hogan
no flags Review Patch | Details | Formatted Diff | Diff
Archive of layout-test-results from webkit-ews-09 for mac-mountainlion-wk2 (723.66 KB, application/zip)
2013-07-27 16:56 PST, Build Bot
no flags Details
Patch (6.01 KB, patch)
2013-09-17 11:20 PST, Robert Hogan
no flags Review Patch | Details | Formatted Diff | Diff
Patch (6.03 KB, patch)
2013-09-17 14:46 PST, Robert Hogan
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-12-23 04:40:00 PST
A break tag in your code when text is aligned right causes a space at the end of the line. This has the effect that the last line in a group appears too far right.

Reported on 5 October 2006.

Test page: http://www.designdetector.com/bugs/break-tag-extra-space-bug.html

Tested on locally-built debug build of WebKit r18399 with Safari 2.0.4 (419.3)
on Mac OS X 10.4.8 (8N1037).
------- Comment #1 From 2006-12-23 04:42:00 PST -------
Created an attachment (id=11981) [details]
Test page
------- Comment #2 From 2008-02-10 14:44:25 PST -------
Confirmed in the latest Webkit r30123
------- Comment #3 From 2008-04-14 22:45:15 PST -------
No change in behavior with (tested with WebKit nightly build r31893):
<http://trac.webkit.org/projects/webkit/changeset/31734>
------- Comment #4 From 2013-07-25 11:55:49 PST -------
Created an attachment (id=207473) [details]
Patch
------- Comment #5 From 2013-07-27 16:56:08 PST -------
(From update of attachment 207473 [details])
Attachment 207473 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/1243608

New failing tests:
csswg/submitted/shapes/shape-outside/shape-outside-floats-vertical-rectangle-002.html
csswg/submitted/shapes/shape-outside/shape-outside-floats-horizontal-rectangle-002.html
csswg/submitted/shapes/shape-outside/shape-outside-floats-horizontal-rectangle-000.html
csswg/submitted/shapes/shape-outside/shape-outside-floats-vertical-rectangle-001.html
csswg/submitted/shapes/shape-outside/shape-outside-floats-square-border-000.html
editing/selection/leak-document-with-selection-inside.html
csswg/submitted/shapes/shape-outside/shape-outside-floats-vertical-rectangle-000.html
csswg/submitted/shapes/shape-outside/shape-outside-floats-horizontal-rectangle-001.html
csswg/submitted/shapes/shape-outside/shape-outside-floats-square-000.html
------- Comment #6 From 2013-07-27 16:56:10 PST -------
Created an attachment (id=207592) [details]
Archive of layout-test-results from webkit-ews-09 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-09  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.4
------- Comment #7 From 2013-09-04 13:00:12 PST -------
(From update of attachment 207473 [details])
r=me, but we know that what we really want to do is strip this trailing space out always. Let's file a follow-up bug to do just that and let's put FIXMEs in the code that indicate the right-alignment hack is temporary.
------- Comment #8 From 2013-09-17 11:20:34 PST -------
Created an attachment (id=211927) [details]
Patch
------- Comment #9 From 2013-09-17 14:21:59 PST -------
(From update of attachment 211927 [details])
Rejecting attachment 211927 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.appspot.com', '--bot-id=webkit-cq-03', 'validate-changelog', '--check-oops', '--non-interactive', 211927, '--port=mac']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

ChangeLog entry in LayoutTests/ChangeLog contains OOPS!.

Full output: http://webkit-queues.appspot.com/results/1825105
------- Comment #10 From 2013-09-17 14:46:46 PST -------
Created an attachment (id=211947) [details]
Patch
------- Comment #11 From 2013-09-18 10:24:08 PST -------
So much FIXME and commentary.
------- Comment #12 From 2013-09-18 10:57:22 PST -------
(From update of attachment 211947 [details])
Clearing flags on attachment: 211947

Committed r156053: <http://trac.webkit.org/changeset/156053>
------- Comment #13 From 2013-09-18 10:57:25 PST -------
All reviewed patches have been landed.  Closing bug.